<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note</title>
  </head>
  <style>
      body {
          font-family: Monospace;
          font-size: 12pt;
        }
      th, td{
          border: 1px solid black;
          padding: 10px
      }
      h1 {
          color: #F2DAC3;
          font-size: xx-large;
          text-align: center;
          border: none;
          background-color: #CC9B6D;
          padding: 14px 16px;;
      }
      table {
          border-collapse: collapse;
          width: 100%;
      }
      .navbar {
          overflow: hidden;
          background-color: black;
          width: 100%;
      }
      .navbar a {
        float: left;
        font-size: 16px;
        color: #DEBA9D;
        text-align: center;
        padding: 14px 16px;
        text-decoration: none;
      }
      .dropdown {
          float: left;
          overflow: hidden;
      }
      
      .dropdown .dropbtn {
          font-size: 16px;  
          border: none;
          outline: none;
          color: white;
          padding: 14px 16px;
          background-color: inherit;
          font-family: inherit;
          margin: 0;
        }
        .navbar a:hover, .dropdown:hover .dropbtn {
            background-color: #CC9B6D;
        }
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
            z-index: 1;
        }
        .dropdown-content a {
            float: none;
            color: black;
            padding: 12px 16px;
            text-decoration: none;
            display: block;
            text-align: left;
        }
        .dropdown-content a:hover {
            background-color: #ddd;
        }
        .dropdown:hover .dropdown-content {
            display: block;
        }

  </style>
  <body>
    <nav class="navbar">
        <div class="navbar">
            <div class="dropdown">
                <button class="dropbtn">
                    Link
                    <i class="fa fa-caret-down"></i>
                </button>
                <div class="dropdown-content">
                    <a href="http://localhost:8000/lab-4/add-note">Add Note</a>
                    <a href="http://localhost:8000/lab-4/note-list">Note List</a>
                </div>
            </div>
        </div>
    </nav>
      <h1>
          Note List
      </h1>
      <br>
    <table>
      <tr>
        <th style="color: #CC9B6D;">To</th>
        <th style="color: #CC9B6D;">From</th>
        <th style="color: #CC9B6D;">Title</th>
        <th style="color: #CC9B6D;">Message</th>
      </tr>
      <body>
        {% for str in note %}
        {% if str.To != "" %}
        <tr>
          <td style="height: 20px;">{{ str.To }}</td>
          <td style="height: 20px;">{{ str.From }}</td>
          <td style="height: 20px;">{{ str.Title }}</td>
          <td style="height: 20px;">{{ str.Message }}</td>
        </tr>
        {% endif %}
          {% endfor %}
      </body>
    
    </table>
  </body>
</html>

<!-- Sumber : https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_dropdown_navbar -->